Subject: RTSP: resolution of some open issues

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 05 Mar 1997 21:44:31 -0500

Rob and I had a hallway discussion in SF regarding RTSP methods.
Tentatively, subject to further re-thinking, discussion, etc.:

(1) Agreement to provide options negotiation at any point, but change
name from HELLO to OPTIONS, just as in HTTP. Seems more descriptive.

Note: OPTIONS would not establish a session, since the client hasn't committed
to actually doing anything with the track. It is just trying to find out what
the server is capable of doing. (Or vice versa, server asks client.) In many
cases, the client may decide that it can't talk to the server, for example.

Authentication is up to the server. A paranoid server can request re-authentication
for each new TCP connection, a slightly less so would not and use the session ID. 

(2) Functionality of BYE has been wholly subsumed by CLOSEing the event
(see previous mail to confctrl on terminology) or all the tracks which
were PLAYed or SETUP. [The latter part is currently underspecified in
the draft.]

(3) GET should be usable at any point, but not cause state transitions.
(I'd remove GET from the state diagrams for that reason). Name is open,
but should be more descriptive, such as HEADER or META or ...
-- 
Henning Schulzrinne         email: [email-masked]
Dept. of Computer Science   phone: +1 212 939-7042
Columbia University         fax:   +1 212 666-0140
New York, NY 10027          URL:   http://www.cs.columbia.edu/~hgs

---

From: Sampo Syreeni <[email-masked]>
Date: Fri, 7 Mar 1997 22:52:42 +0200 (EET)

> name from HELLO to OPTIONS, just as in HTTP. Seems more descriptive.

Very.

> for each new TCP connection, a slightly less so would not and use the session ID. 

Very reasonable as the server already knows who to send. But of course
there are always denial of service attacks...

> but should be more descriptive, such as HEADER or META or ...

Indeed. Compared to its HTTP counterpart, GET is too close in name and too
far in function.

Sampo Syreeni (Decoy/dAWN), student, <[email-masked]>

---

From: "Henning Schulzrinne (BL)" <[email-masked]>
Date: Fri, 07 Mar 1997 15:51:59 -0500

> Indeed. Compared to its HTTP counterpart, GET is too close in name and too

We already have a 'push session description' (SESSION); maybe something
like
GET_SESSION and PUT_SESSION would do (assuming there's rough consensus
around session as a term).